Package com.io7m.jtensors.core.unparameterized.matrices

# Interface Matrix3x3DType

All Superinterfaces:
  `MatrixComputationalType`, `MatrixReadable3x3DType`, `MatrixReadableDType`

All Known Implementing Classes:
  `Matrix3x3D`

@Immutable public interface Matrix3x3DType extends MatrixReadable3x3DType, MatrixComputationalType
The type of 3x3 `double`-typed matrices.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `r0c0()`
  `double`
  `r0c1()`
  `double`
  `r0c2()`
  `double`
  `r1c0()`
  `double`
  `r1c1()`
  `double`
  `r1c2()`
  `double`
  `r2c0()`
  `double`
  `r2c1()`
  `double`
  `r2c2()`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable3x3DType

  `rowColumn`

- ## Method Details

  - ### r0c0

    @Parameter(order=0) double r0c0()
    Specified by:
      `r0c0` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 0 column 0

  - ### r0c1

    @Parameter(order=1) double r0c1()
    Specified by:
      `r0c1` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 0 column 1

  - ### r0c2

    @Parameter(order=2) double r0c2()
    Specified by:
      `r0c2` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 0 column 2

  - ### r1c0

    @Parameter(order=3) double r1c0()
    Specified by:
      `r1c0` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 1 column 0

  - ### r1c1

    @Parameter(order=4) double r1c1()
    Specified by:
      `r1c1` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 1 column 1

  - ### r1c2

    @Parameter(order=5) double r1c2()
    Specified by:
      `r1c2` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 1 column 2

  - ### r2c0

    @Parameter(order=6) double r2c0()
    Specified by:
      `r2c0` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 2 column 0

  - ### r2c1

    @Parameter(order=7) double r2c1()
    Specified by:
      `r2c1` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 2 column 1

  - ### r2c2

    @Parameter(order=8) double r2c2()
    Specified by:
      `r2c2` in interface `MatrixReadable3x3DType`
    Returns:
      The value at row 2 column 2